ApiReplicationSchedule (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiReplicationSchedule

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiReplicationSchedule

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiReplicationSchedule
      extends Object

  A replication job schedule. <p/> Replication jobs have service-specific arguments. This object has methods to retrieve arguments for all supported types of replication, but only one argument type is allowed to be set; the backend will check that the provided argument matches the service type where the replication is being scheduled. <p/> The replication job's arguments should match the underlying service. Refer to each property's documentation to find out which properties correspond to which services.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiReplicationSchedule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiReplicationSchedule` | `active(Boolean active)`
    `ApiReplicationSchedule` | `addHistoryItem(ApiReplicationCommand historyItem)`
    `ApiReplicationSchedule` | `alertOnAbort(Boolean alertOnAbort)`
    `ApiReplicationSchedule` | `alertOnFail(Boolean alertOnFail)`
    `ApiReplicationSchedule` | `alertOnStart(Boolean alertOnStart)`
    `ApiReplicationSchedule` | `alertOnSuccess(Boolean alertOnSuccess)`
    `ApiReplicationSchedule` | `description(String description)`
    `ApiReplicationSchedule` | `displayName(String displayName)`
    `ApiReplicationSchedule` | `endTime(String endTime)`
    `boolean` | `equals(Object o)`
    `Boolean` | `getActive()` Read-only field that is true if this schedule is currently active, false if not.
    `Boolean` | `getAlertOnAbort()` Whether to alert on abort of the scheduled activity.
    `Boolean` | `getAlertOnFail()` Whether to alert on failure of the scheduled activity.
    `Boolean` | `getAlertOnStart()` Whether to alert on start of the scheduled activity.
    `Boolean` | `getAlertOnSuccess()` Whether to alert on successful completion of the scheduled activity.
    `String` | `getDescription()` The schedule description.
    `String` | `getDisplayName()` The schedule display name.
    `String` | `getEndTime()` The time after which the scheduled activity will no longer be triggered.
    `ApiHBaseReplicationArguments` | `getHbaseArguments()` Optional arguments for HBase replication commands.
    `ApiHdfsReplicationArguments` | `getHdfsArguments()` Optional arguments for HDFS replication commands.
    `ApiHdfsCloudReplicationArguments` | `getHdfsCloudArguments()` Optional arguments for HDFS cloud replication commands.
    `List<ApiReplicationCommand>` | `getHistory()` List of active and/or finished commands for this schedule.
    `ApiHive3ReplicationArguments` | `getHive3Arguments()` arguments for Hive3 schedules
    `ApiHiveReplicationArguments` | `getHiveArguments()` Optional arguments for Hive replication commands.
    `ApiHiveCloudReplicationArguments` | `getHiveCloudArguments()` Optional arguments for Hive cloud replication commands.
    `BigDecimal` | `getId()` The schedule id.
    `BigDecimal` | `getInterval()` The duration between consecutive triggers of a scheduled activity.
    `ApiScheduleInterval` | `getIntervalUnit()` The unit for the repeat interval.
    `String` | `getNextRun()` Readonly.
    `ApiOzoneReplicationArguments` | `getOzoneReplicationArguments()` Optional arguments for HDFS cloud replication commands.
    `Boolean` | `getPaused()` The paused state for the schedule.
    `String` | `getStartTime()` The time at which the scheduled activity is triggered for the first time.
    `int` | `hashCode()`
    `ApiReplicationSchedule` | `hbaseArguments(ApiHBaseReplicationArguments hbaseArguments)`
    `ApiReplicationSchedule` | `hdfsArguments(ApiHdfsReplicationArguments hdfsArguments)`
    `ApiReplicationSchedule` | `hdfsCloudArguments(ApiHdfsCloudReplicationArguments hdfsCloudArguments)`
    `ApiReplicationSchedule` | `history(List<ApiReplicationCommand> history)`
    `ApiReplicationSchedule` | `hive3Arguments(ApiHive3ReplicationArguments hive3Arguments)`
    `ApiReplicationSchedule` | `hiveArguments(ApiHiveReplicationArguments hiveArguments)`
    `ApiReplicationSchedule` | `hiveCloudArguments(ApiHiveCloudReplicationArguments hiveCloudArguments)`
    `ApiReplicationSchedule` | `id(BigDecimal id)`
    `ApiReplicationSchedule` | `interval(BigDecimal interval)`
    `ApiReplicationSchedule` | `intervalUnit(ApiScheduleInterval intervalUnit)`
    `ApiReplicationSchedule` | `nextRun(String nextRun)`
    `ApiReplicationSchedule` | `ozoneReplicationArguments(ApiOzoneReplicationArguments ozoneReplicationArguments)`
    `ApiReplicationSchedule` | `paused(Boolean paused)`
    `void` | `setActive(Boolean active)`
    `void` | `setAlertOnAbort(Boolean alertOnAbort)`
    `void` | `setAlertOnFail(Boolean alertOnFail)`
    `void` | `setAlertOnStart(Boolean alertOnStart)`
    `void` | `setAlertOnSuccess(Boolean alertOnSuccess)`
    `void` | `setDescription(String description)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setEndTime(String endTime)`
    `void` | `setHbaseArguments(ApiHBaseReplicationArguments hbaseArguments)`
    `void` | `setHdfsArguments(ApiHdfsReplicationArguments hdfsArguments)`
    `void` | `setHdfsCloudArguments(ApiHdfsCloudReplicationArguments hdfsCloudArguments)`
    `void` | `setHistory(List<ApiReplicationCommand> history)`
    `void` | `setHive3Arguments(ApiHive3ReplicationArguments hive3Arguments)`
    `void` | `setHiveArguments(ApiHiveReplicationArguments hiveArguments)`
    `void` | `setHiveCloudArguments(ApiHiveCloudReplicationArguments hiveCloudArguments)`
    `void` | `setId(BigDecimal id)`
    `void` | `setInterval(BigDecimal interval)`
    `void` | `setIntervalUnit(ApiScheduleInterval intervalUnit)`
    `void` | `setNextRun(String nextRun)`
    `void` | `setOzoneReplicationArguments(ApiOzoneReplicationArguments ozoneReplicationArguments)`
    `void` | `setPaused(Boolean paused)`
    `void` | `setStartTime(String startTime)`
    `ApiReplicationSchedule` | `startTime(String startTime)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiReplicationSchedule

          public ApiReplicationSchedule()

  - ### Method Detail

    - #### id

          public ApiReplicationSchedule id(BigDecimal id)

    - #### getId

          public BigDecimal getId()

      The schedule id.
      Returns:
        id

    - #### setId

          public void setId(BigDecimal id)

    - #### displayName

          public ApiReplicationSchedule displayName(String displayName)

    - #### getDisplayName

          public String getDisplayName()

      The schedule display name.
      Returns:
        displayName

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### description

          public ApiReplicationSchedule description(String description)

    - #### getDescription

          public String getDescription()

      The schedule description.
      Returns:
        description

    - #### setDescription

          public void setDescription(String description)

    - #### startTime

          public ApiReplicationSchedule startTime(String startTime)

    - #### getStartTime

          public String getStartTime()

      The time at which the scheduled activity is triggered for the first time.
      Returns:
        startTime

    - #### setStartTime

          public void setStartTime(String startTime)

    - #### endTime

          public ApiReplicationSchedule endTime(String endTime)

    - #### getEndTime

          public String getEndTime()

      The time after which the scheduled activity will no longer be triggered.
      Returns:
        endTime

    - #### setEndTime

          public void setEndTime(String endTime)

    - #### interval

          public ApiReplicationSchedule interval(BigDecimal interval)

    - #### getInterval

          public BigDecimal getInterval()

      The duration between consecutive triggers of a scheduled activity. Defaults to 0.
      Returns:
        interval

    - #### setInterval

          public void setInterval(BigDecimal interval)

    - #### intervalUnit

          public ApiReplicationSchedule intervalUnit(ApiScheduleInterval intervalUnit)

    - #### getIntervalUnit

          public ApiScheduleInterval getIntervalUnit()

      The unit for the repeat interval.
      Returns:
        intervalUnit

    - #### setIntervalUnit

          public void setIntervalUnit(ApiScheduleInterval intervalUnit)

    - #### nextRun

          public ApiReplicationSchedule nextRun(String nextRun)

    - #### getNextRun

          public String getNextRun()

      Readonly. The time the scheduled command will run next.
      Returns:
        nextRun

    - #### setNextRun

          public void setNextRun(String nextRun)

    - #### paused

          public ApiReplicationSchedule paused(Boolean paused)

    - #### getPaused

          public Boolean getPaused()

      The paused state for the schedule. The scheduled activity will not be triggered as long as the scheduled is paused. Defaults to false.
      Returns:
        paused

    - #### setPaused

          public void setPaused(Boolean paused)

    - #### alertOnStart

          public ApiReplicationSchedule alertOnStart(Boolean alertOnStart)

    - #### getAlertOnStart

          public Boolean getAlertOnStart()

      Whether to alert on start of the scheduled activity. Defaults to false.
      Returns:
        alertOnStart

    - #### setAlertOnStart

          public void setAlertOnStart(Boolean alertOnStart)

    - #### alertOnSuccess

          public ApiReplicationSchedule alertOnSuccess(Boolean alertOnSuccess)

    - #### getAlertOnSuccess

          public Boolean getAlertOnSuccess()

      Whether to alert on successful completion of the scheduled activity. Defaults to false.
      Returns:
        alertOnSuccess

    - #### setAlertOnSuccess

          public void setAlertOnSuccess(Boolean alertOnSuccess)

    - #### alertOnFail

          public ApiReplicationSchedule alertOnFail(Boolean alertOnFail)

    - #### getAlertOnFail

          public Boolean getAlertOnFail()

      Whether to alert on failure of the scheduled activity. Defaults to false.
      Returns:
        alertOnFail

    - #### setAlertOnFail

          public void setAlertOnFail(Boolean alertOnFail)

    - #### alertOnAbort

          public ApiReplicationSchedule alertOnAbort(Boolean alertOnAbort)

    - #### getAlertOnAbort

          public Boolean getAlertOnAbort()

      Whether to alert on abort of the scheduled activity. Defaults to false.
      Returns:
        alertOnAbort

    - #### setAlertOnAbort

          public void setAlertOnAbort(Boolean alertOnAbort)

    - #### hdfsArguments

          public ApiReplicationSchedule hdfsArguments(ApiHdfsReplicationArguments hdfsArguments)

    - #### getHdfsArguments

          public ApiHdfsReplicationArguments getHdfsArguments()

      Optional arguments for HDFS replication commands.
      Returns:
        hdfsArguments

    - #### setHdfsArguments

          public void setHdfsArguments(ApiHdfsReplicationArguments hdfsArguments)

    - #### hiveArguments

          public ApiReplicationSchedule hiveArguments(ApiHiveReplicationArguments hiveArguments)

    - #### getHiveArguments

          public ApiHiveReplicationArguments getHiveArguments()

      Optional arguments for Hive replication commands.
      Returns:
        hiveArguments

    - #### setHiveArguments

          public void setHiveArguments(ApiHiveReplicationArguments hiveArguments)

    - #### hdfsCloudArguments

          public ApiReplicationSchedule hdfsCloudArguments(ApiHdfsCloudReplicationArguments hdfsCloudArguments)

    - #### getHdfsCloudArguments

          public ApiHdfsCloudReplicationArguments getHdfsCloudArguments()

      Optional arguments for HDFS cloud replication commands.
      Returns:
        hdfsCloudArguments

    - #### setHdfsCloudArguments

          public void setHdfsCloudArguments(ApiHdfsCloudReplicationArguments hdfsCloudArguments)

    - #### ozoneReplicationArguments

          public ApiReplicationSchedule ozoneReplicationArguments(ApiOzoneReplicationArguments ozoneReplicationArguments)

    - #### getOzoneReplicationArguments

          public ApiOzoneReplicationArguments getOzoneReplicationArguments()

      Optional arguments for HDFS cloud replication commands.
      Returns:
        ozoneReplicationArguments

    - #### setOzoneReplicationArguments

          public void setOzoneReplicationArguments(ApiOzoneReplicationArguments ozoneReplicationArguments)

    - #### history

          public ApiReplicationSchedule history(List<ApiReplicationCommand> history)

    - #### addHistoryItem

          public ApiReplicationSchedule addHistoryItem(ApiReplicationCommand historyItem)

    - #### getHistory

          public List<ApiReplicationCommand> getHistory()

      List of active and/or finished commands for this schedule.
      Returns:
        history

    - #### setHistory

          public void setHistory(List<ApiReplicationCommand> history)

    - #### active

          public ApiReplicationSchedule active(Boolean active)

    - #### getActive

          public Boolean getActive()

      Read-only field that is true if this schedule is currently active, false if not. Available since API v11.
      Returns:
        active

    - #### setActive

          public void setActive(Boolean active)

    - #### hiveCloudArguments

          public ApiReplicationSchedule hiveCloudArguments(ApiHiveCloudReplicationArguments hiveCloudArguments)

    - #### getHiveCloudArguments

          public ApiHiveCloudReplicationArguments getHiveCloudArguments()

      Optional arguments for Hive cloud replication commands.
      Returns:
        hiveCloudArguments

    - #### setHiveCloudArguments

          public void setHiveCloudArguments(ApiHiveCloudReplicationArguments hiveCloudArguments)

    - #### hbaseArguments

          public ApiReplicationSchedule hbaseArguments(ApiHBaseReplicationArguments hbaseArguments)

    - #### getHbaseArguments

          public ApiHBaseReplicationArguments getHbaseArguments()

      Optional arguments for HBase replication commands.
      Returns:
        hbaseArguments

    - #### setHbaseArguments

          public void setHbaseArguments(ApiHBaseReplicationArguments hbaseArguments)

    - #### hive3Arguments

          public ApiReplicationSchedule hive3Arguments(ApiHive3ReplicationArguments hive3Arguments)

    - #### getHive3Arguments

          public ApiHive3ReplicationArguments getHive3Arguments()

      arguments for Hive3 schedules
      Returns:
        hive3Arguments

    - #### setHive3Arguments

          public void setHive3Arguments(ApiHive3ReplicationArguments hive3Arguments)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.